> ## Documentation Index
> Fetch the complete documentation index at: https://cal.id/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a schedule

> Create a schedule



## OpenAPI

````yaml /openapi.json post /schedule/
openapi: 3.1.0
info:
  title: Cal ID API
  description: >-
    API documentation for external developers integrating with Cal ID. This
    documentation is auto-generated from our OpenAPI specification and includes
    details on all available endpoints, request/response schemas, and
    authentication methods.


    Authentication is required for all endpoints and can be done using API key
    generated from the Cal ID dashboard under the `settings/developer/api-keys`
    page. Use the Authorization header with the Bearer scheme to authenticate
    your requests.


    Example:

    - API Key: `Authorization: Bearer calid_xxxxx`


    Note: To manage Team's resources use the Team's owner/admin API key
  version: 1.0.0
  contact:
    name: API Support
    email: support@cal.id
    url: https://cal.id
  license:
    name: MIT
    url: https://opensource.org/licenses/MIT
servers:
  - url: https://api.cal.id
    description: 'Production server '
security:
  - bearerAuth: []
tags:
  - name: Health
    description: Health check endpoints
  - name: Users
    description: User management endpoints
  - name: Event Types
    description: Event type management endpoints
  - name: Teams
    description: Team management endpoints
  - name: Team Event Types
    description: Event type management endpoints for teams
  - name: Team Memberships
    description: Membership management endpoints for teams
  - name: Team Schedules
    description: Schedule management endpoints for teams
  - name: Availability
    description: User availability management endpoints
  - name: Schedule
    description: User schedule management endpoints
  - name: Slots
    description: Available slots retrieval endpoints
  - name: Booking
    description: Event booking endpoints
paths:
  /schedule/:
    post:
      tags:
        - Schedule
      summary: Create a schedule
      description: Create a schedule
      operationId: create_schedule
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                name:
                  type: string
                  description: Human-readable schedule name.
                  example: Weekday Working Hours
                timeZone:
                  type: string
                  description: IANA timezone identifier used for this schedule.
                  example: Asia/Kolkata
              required:
                - name
              additionalProperties: false
              example:
                name: Weekday Working Hours
                timeZone: Asia/Kolkata
        required: true
      responses:
        '200':
          description: Schedule created
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    enum:
                      - true
                  data:
                    type: object
                    properties:
                      id:
                        type: integer
                      userId:
                        type: integer
                      name:
                        type: string
                      availability:
                        type: array
                        items:
                          type: object
                          properties:
                            id:
                              type: integer
                            userId:
                              anyOf:
                                - type: integer
                                - type: 'null'
                            eventTypeId:
                              anyOf:
                                - type: integer
                                - type: 'null'
                            days:
                              type: array
                              items:
                                type: integer
                            startTime:
                              type: string
                              format: date-time
                            endTime:
                              type: string
                              format: date-time
                            date:
                              anyOf:
                                - type: string
                                  format: date-time
                                - type: 'null'
                            scheduleId:
                              anyOf:
                                - type: integer
                                - type: 'null'
                            targetTimeZones:
                              type: array
                              items:
                                type: string
                          required:
                            - id
                            - days
                            - startTime
                            - endTime
                            - targetTimeZones
                          additionalProperties: false
                      timeZone:
                        type:
                          - 'null'
                          - string
                    required:
                      - id
                      - userId
                      - name
                      - availability
                      - timeZone
                    additionalProperties: false
                  message:
                    type: string
                  meta:
                    type: object
                    properties:
                      pagination:
                        type: object
                        properties:
                          page:
                            type: number
                          limit:
                            type: number
                          total:
                            type: number
                          totalPages:
                            type: number
                        required:
                          - page
                          - limit
                          - total
                          - totalPages
                        additionalProperties: false
                    additionalProperties: {}
                required:
                  - success
                additionalProperties: false
                description: Schedule created
        '400':
          description: Validation failed
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    enum:
                      - false
                  message:
                    type: string
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                      message:
                        type: string
                      details: {}
                    required:
                      - code
                      - message
                    additionalProperties: false
                required:
                  - success
                  - message
                  - error
                additionalProperties: false
                description: Validation failed
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    enum:
                      - false
                  message:
                    type: string
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                      message:
                        type: string
                      details: {}
                    required:
                      - code
                      - message
                    additionalProperties: false
                required:
                  - success
                  - message
                  - error
                additionalProperties: false
                description: Unauthorized
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT | API Key
      description: |-

        Use the Authorization header with Bearer scheme.

        Examples:
        - API Key: Authorization: Bearer calid_xxxxx
            

````

## Related topics

- [Multiple Schedules](/docs/availability/multiple-schedules.md)
- [Manage availability schedules](/docs/developers/guides/manage-schedules.md)
- [Create an availability](/docs/api-reference/availability/create-an-availability.md)
- [Create Availability in Cal ID](/docs/availability/create.md)
- [How to Schedule a Meeting through Cal ID](/docs/getting-started/schedule-a-meeting.md)
